#!/bin/bash

for i in ../raw_data/*
do
#	echo $i
	if [[ -d $i ]]
	then
#		echo $i
		DNAME=`basename $i`
#		echo $DNAME
		
		mkdir -p $DNAME
		
		for j in ../raw_data/$DNAME/*
		do
			FNAME=`basename $j`
			if [ "$FNAME" != "readme" ]
			then
				echo "$DNAME/$FNAME"
				
				omori/omori $j 6.25e-10 1.25e-9 >$DNAME/${FNAME}_omori_6.25e-10_1.25e-9.txt
				omori/omori $j 1.25e-9 2.5e-9 >$DNAME/${FNAME}_omori_1.25e-9_2.5e-9.txt
				omori/omori $j 2.5e-9 5e-9 >$DNAME/${FNAME}_omori_2.5e-9_5e-9.txt
				omori/omori $j 5e-9 1e-8 >$DNAME/${FNAME}_omori_5e-9_1e-8.txt
				omori/omori $j 1e-8 2e-8 >$DNAME/${FNAME}_omori_1e-8_2e-8.txt
				omori/omori $j 2e-8 4e-8 >$DNAME/${FNAME}_omori_2e-8_4e-8.txt
				omori/omori $j 4e-8 8e-8 >$DNAME/${FNAME}_omori_4e-8_8e-8.txt
			fi
		done
	fi
done


#omori/omori ../orig_data/acoustic8.txt 6.25e-10 1.25e-9 >omori_6.25e-10_1.25e-9.txt
#omori/omori ../orig_data/acoustic8.txt 1.25e-9 2.5e-9 >omori_1.25e-9_2.5e-9.txt
#omori/omori ../orig_data/acoustic8.txt 2.5e-9 5e-9 >omori_2.5e-9_5e-9.txt
#omori/omori ../orig_data/acoustic8.txt 5e-9 1e-8 >omori_5e-9_1e-8.txt
#omori/omori ../raw_data/20FebrZnAvalanche/3202_dia32v0.03 1e-8 2e-8 >omori_1e-8_2e-8.txt

#omori/omori ../raw_data/fagyi.txt 1e-8 2e-8 >omori_1e-8_2e-8.txt

#omori/omori ../orig_data/acoustic8.txt 2e-8 4e-8 >omori_2e-8_4e-8.txt
#omori/omori ../orig_data/acoustic8.txt 4e-8 8e-8 >omori_4e-8_8e-8.txt
